Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "86fb7aac-f3ef-4f80-a515-d267b5e7b381",
  "_parent_id": "0a792073-3f56-4c8a-a5a0-bdc5d9afd720",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "311215b0-6045-476c-a019-2f9fb85c4915",
  "company_id": "3a9fcfc4-c6f2-43e6-88de-6d1c072def8e",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "cd4e054c-a1f4-44e4-a03e-19938d6bb90a",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "0f729919-fa00-44e8-a911-c4684c15f7f0",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "7fc19ddb-f203-4932-96f4-bc47f196e301",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "adc4c5f0-a914-4bbf-90e9-39c9ba956828",
    "company_code": "sample string 5",
    "company": {
      "id": "119af844-43a3-4dc1-a526-89122d709085",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-10-16T21:48:07.2025448+00:00",
      "sales_territory_id": "7e1326ce-b50a-4858-ba99-26b695f14705",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "3a55a358-573b-4876-92a1-02822bb863a2",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "07389f8e-c710-4652-9715-450eb8aa03cd",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "ea260af3-dc04-461e-a222-be69d7cc33db",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "4915b75a-f04c-4cfb-9c19-8b80a16692c2",
          "db_currency_id": "a65274f3-3c15-4e6c-8ede-5472969ebe6b",
          "db_language_id": "1dd935bb-dd14-4589-8b46-6fc840c70a0f",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-16T21:48:07.2025448+00:00"
        },
        "modified_dateutc": "2026-10-16T21:48:07.2025448+00:00"
      },
      "marketing_segment_id": "5b6fde07-b272-4939-9174-74bb5c821be8",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "6437f30e-9dba-4146-90d8-c0c43b0b722e",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "2731eec2-2dbb-4fb0-bb86-c3de5e0c4134",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "7d6b4f4a-7a8b-44c8-9f13-323efad8de02",
      "db_country_code": "sample string 28",
      "feelist_id": "12563778-b441-4a4d-81a3-97fef900d27e",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "a8b03618-18d2-4ee8-a78e-a24f961e8c00",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "9e06b7f1-38d4-4838-90b8-814aeea39b41",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-10-16T21:48:07.2025448+00:00",
        "db_currency_id": "82867263-8c45-431f-860b-807161d5ff41",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "e536e69b-58c0-4d82-9b47-7aa9123d4320",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "2b927c54-b115-425a-8caa-a82fd265b99b",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "d917e6c1-664c-4cef-b735-9b7bfea43cd1",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "53358a19-cafa-47aa-94b6-cb5805ce8fd9",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "8ab0e53a-0f3e-43ba-a66c-c9980e0082d5",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "ea2339ba-df5e-4844-ae67-1528f3dd97a9",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "f6fbe39d-5f62-4f00-a682-fa1edb798dfa",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-10-16T21:48:07.2025448+00:00"
      },
      "company_sector_id": "7c754063-c688-4001-83d5-ae2402c7b771",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "26caf5f6-9731-4a2d-a18a-3dd66abf0060",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "b02764af-b453-488d-81f7-1d13a9662d3c",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "001de4cb-7aa5-4127-a122-95778bdacee9",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "ab49fe63-6001-47ba-8e5a-b1d768968778",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-10-16T21:48:07.2025448+00:00",
      "id2": 60
    },
    "db_language_id": "6bc717bf-55c6-44a1-b351-7e3ce21ca6af",
    "db_language_code": "sample string 7",
    "db_title_id": "ef648920-2e42-45cd-891c-082d4762309f",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-10-16T21:48:07.2025448+00:00",
    "create_date": "2026-10-16T21:48:07.2025448+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-10-16T21:48:07.2025448+00:00"
  },
  "modified_dateutc": "2026-10-16T21:48:07.2025448+00:00",
  "id2": 22
}